import {
  addDomEvent
} from "./chunk-WYGLEMYN.mjs";

// src/visual-viewport.ts
function trackVisualViewport(options) {
  var _a;
  const { document: doc, resolve } = options;
  const win = (doc == null ? void 0 : doc.defaultView) || window;
  resolve == null ? void 0 : resolve(getViewportSize(win));
  const onResize = () => resolve == null ? void 0 : resolve(getViewportSize(win));
  return addDomEvent((_a = win.visualViewport) != null ? _a : win, "resize", onResize);
}
function getViewportSize(win) {
  var _a, _b;
  return {
    width: ((_a = win.visualViewport) == null ? void 0 : _a.width) || win.innerWidth,
    height: ((_b = win.visualViewport) == null ? void 0 : _b.height) || win.innerHeight
  };
}

export {
  trackVisualViewport
};
